AOZ Studio Beta - Bug #887

Bob/Sprite Limit not working
01/20/2022 10:27 AM - Alex Vac

Status: Resolved Start date: 01/20/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

BOB limit runs without errors but does nothing in program.
SPRITE limit gives out an error and the program doesn't run.

In the example below the bob should only show in the boxed area.

EXAMPLE:

bob 1,150,20,1 : move y 1,"(1,2,200)(1,-2,200)I" : move on

Box 0,200 To 400,400

Limit Bob 1,0,200 to 400,400

//Limit Bob 0,200 to 400,400 // Internal error if selecting all bobs.

History

#1 - 01/20/2022 08:43 PM - David Baldwin

Limit Bob wasn't working correctly for individual bobs, I've fixed that.
Limit Sprite isn't an instruction, that's why that doesn't work. Use bobs instead.

The main problem here is that the Move Y instruction is ignoring the limits. Francois?

#2 - 04/05/2022 01:31 PM - Francois Lionet

- Status changed from New to Resolved

Set Limits was bugged and crashed. And Move Y did work.
All works now!
